Subject: Re: bug#42523: ‘Latest’ ISO download link broken

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 25 Jul 2020 14:46:25 +0200

Hey Tobias,

Thanks for the report.

>> {"error":"Could not find the request build product."}
>
> There are plenty[2] to choose from.

The issue here is that, due to a bug when handling restarted builds in
Cuirass, the ISO build product for build 3016488 was not created.

I fixed the issue in Cuirass with
17395e85d2793ec4cb47e53bcbdb5b06187147bd. I'll reconfigure berlin
later-on. In the meantime I ran:

--8<---------------cut here---------------start------------->8---
insert into BuildProducts values (3016488, "ISO-9660", 651755520, "", "/gnu/store/l20v5vxadpl1bnsa91ird49rinpdwv0v-iso9660-image");
--8<---------------cut here---------------end--------------->8---

to hide the problem. So I think we can close this one.

Thanks,

Mathieu